# Install lm_sensors package and scan for sensors
class lm_sensors::install {
  # Install lm_sensors
  package { 'lm_sensors':
    ensure => $::lm_sensors::package_ensure,
    name   => $::lm_sensors::package,
    notify => Exec['sensors-detect'],
  }

  # Scan for hardware sensors
  exec { 'sensors-detect':
    command => $::lm_sensors::exec_command,
    unless  => "/bin/grep \"Generated by sensors-detect\" ${::lm_sensors::config_file}",
    notify  => Service['lm_sensors'],
    require => Package['lm_sensors'],
  }
}
